umbrello: Settings::OptionState Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Settings::OptionState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| OptionState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Static Public Member Functions
static OptionState & | instance ()

## Public Attributes
GeneralState | generalState
LayoutTypeState | layoutTypeState
UIState | uiState
ClassState | classState
CodeViewerState | codeViewerState
CodeGenerationState | codeGenerationState
CodeImportState | codeImportState
AutoLayoutState | autoLayoutState

## Constructor & Destructor Documentation

## ◆ OptionState()

Settings::OptionState::OptionState | ( |  | ) |

## Member Function Documentation

## ◆ instance()

OptionState & Settings::OptionState::instance | ( |  | ) |
| static

## ◆ load()

void Settings::OptionState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::OptionState::loadFromXMI | ( | QDomElement & | element | ) |

Load instance from a QDomElement.

Parameters

  element | A QDomElement representing xml element data.

Returns
  true on success
  false on error

## ◆ save()

void Settings::OptionState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::OptionState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

Save instance to a QXmlStreamWriter.

Parameters

  writer | The QXmlStreamWriter to save to.

## Member Data Documentation

## ◆ autoLayoutState

AutoLayoutState Settings::OptionState::autoLayoutState

## ◆ classState

ClassState Settings::OptionState::classState

## ◆ codeGenerationState

CodeGenerationState Settings::OptionState::codeGenerationState

## ◆ codeImportState

CodeImportState Settings::OptionState::codeImportState

## ◆ codeViewerState

CodeViewerState Settings::OptionState::codeViewerState

## ◆ generalState

GeneralState Settings::OptionState::generalState

## ◆ layoutTypeState

LayoutTypeState Settings::OptionState::layoutTypeState

## ◆ uiState

UIState Settings::OptionState::uiState

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp